Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025295
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receipttrivialalways2013-12-10 10:362013-12-20 15:12
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revision06d333867c40
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025295: Return a product and add this product to the order (exchange)

DescriptionThere is an blocking point when doing exchanges : Adding the same product will actually remove the Returned line, which doesn't reflect the reality. I could imagine there should a special case about return lines, so they don't get removed in that case.
Steps To Reproduce- Add a product
- Press Return Line of this product
- Add this product again
- The line dissapears, it should add a new line because we should be able to exchange a product.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062691)
hgbot (developer)
2013-12-10 15:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 06d333867c4015bfcd77374f822623b8de8fbca5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 10 15:36:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]

Fixed issue 0025295: Return a product and add this product to the order (exchange)

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062704)
hgbot (developer)
2013-12-11 13:54

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 06d333867c4015bfcd77374f822623b8de8fbca5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 10 15:36:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]

Fixed issue 0025295: Return a product and add this product to the order (exchange)

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062708)
hgbot (developer)
2013-12-11 17:42

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 06d333867c4015bfcd77374f822623b8de8fbca5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 10 15:36:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]

Fixed issue 0025295: Return a product and add this product to the order (exchange)

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062775)
adrianromero (manager)
2013-12-18 11:51

Verified. Now when adding the same product after a return line of this product, a new line is created reflecting properly the exchange in the receipt.
(0062800)
hgbot (developer)
2013-12-19 11:19

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 06d333867c4015bfcd77374f822623b8de8fbca5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 10 15:36:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]

Fixed issue 0025295: Return a product and add this product to the order (exchange)

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062935)
hgbot (developer)
2013-12-19 19:56

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 06d333867c4015bfcd77374f822623b8de8fbca5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 10 15:36:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]

Fixed issue 0025295: Return a product and add this product to the order (exchange)

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063012)
guilleaer (developer)
2013-12-20 15:12

reclosed

- Issue History
Date Modified Username Field Change
2013-12-10 10:36 migueldejuana New Issue
2013-12-10 10:36 migueldejuana Assigned To => migueldejuana
2013-12-10 10:36 migueldejuana Triggers an Emergency Pack => No
2013-12-10 12:57 migueldejuana Summary Return a product and themm add this product to the order (exchange) => Return a product and add this product to the order (exchange)
2013-12-10 15:37 hgbot Checkin
2013-12-10 15:37 hgbot Note Added: 0062691
2013-12-10 15:37 hgbot Status new => resolved
2013-12-10 15:37 hgbot Resolution open => fixed
2013-12-10 15:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]
2013-12-11 13:54 hgbot Checkin
2013-12-11 13:54 hgbot Note Added: 0062704
2013-12-11 13:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]
2013-12-11 17:42 hgbot Checkin
2013-12-11 17:42 hgbot Note Added: 0062708
2013-12-11 17:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]
2013-12-18 11:51 adrianromero Review Assigned To => adrianromero
2013-12-18 11:51 adrianromero Note Added: 0062775
2013-12-18 11:51 adrianromero Status resolved => closed
2013-12-18 11:51 adrianromero Fixed in Version => RMP30
2013-12-19 11:19 hgbot Checkin
2013-12-19 11:19 hgbot Note Added: 0062800
2013-12-19 11:19 hgbot Status closed => resolved
2013-12-19 11:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]
2013-12-19 19:56 hgbot Checkin
2013-12-19 19:56 hgbot Note Added: 0062935
2013-12-19 19:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/06d333867c4015bfcd77374f822623b8de8fbca5 [^]
2013-12-20 15:12 guilleaer Note Added: 0063012
2013-12-20 15:12 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker